Bug 399231 - Cannot compile callweaver-1.2-0.3.rc4.20070822.src.rpm
Summary: Cannot compile callweaver-1.2-0.3.rc4.20070822.src.rpm
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: callweaver
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-26 09:35 UTC by Jan Safranek
Modified: 2009-07-14 14:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 14:07:55 UTC


Attachments (Terms of Use)
mock compilation log (198.31 KB, text/plain)
2007-11-26 09:35 UTC, Jan Safranek
no flags Details
mock setup log (123.64 KB, text/plain)
2007-11-26 09:35 UTC, Jan Safranek
no flags Details

Description Jan Safranek 2007-11-26 09:35:03 UTC
Description of problem:

I cannot compile the source rpm in mock on x86_64:
mock -r rawhide-x86_64 callweaver-1.2-0.3.rc4.20070822.src.rpm:

./corelib/.libs/libcallweaver.so: undefined reference to `adsi_put_message'
./corelib/.libs/libcallweaver.so: undefined reference to `adsi_send_alert_tone'

You can find full logs attached.

How reproducible:
always (rawhide on 2007-11-26)

Additional info:
I wanted to check, if callweaver is compilable with new openldap-2.4, see
http://people.redhat.com/jsafrane/openldap-2.4-preview/ for yum repository with
all RPMs. IMHO the compilation error is not related to this new openldap.

Please make sure that your package is compilable in current rawhide + check,
that it is compilable with new openldap-2.4-devel from my repo.

Comment 1 Jan Safranek 2007-11-26 09:35:03 UTC
Created attachment 268641 [details]
mock compilation log

Comment 2 Jan Safranek 2007-11-26 09:35:52 UTC
Created attachment 268651 [details]
mock setup log

Comment 3 Alex Lancaster 2007-12-28 08:16:00 UTC
Can somebody please fix this and compile callweaver against the new
openldap/ssl?  This has been the cause of broken deps for >3 weeks in rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=289597

Comment 4 Trever Adams 2007-12-31 05:53:04 UTC
It would be wise, if possible, to upgrade to RC5 as well.

Comment 5 Bug Zapper 2008-05-14 03:59:48 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-06-09 23:13:58 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2009-07-14 14:07:55 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.